org.apache.ignite.internal.processors.port

## Class GridPortRecord

- java.lang.Object
- - org.apache.ignite.internal.processors.port.GridPortRecord

    public class GridPortRecord
    extends Object

This class defines record about port use.

### Method Summary

Methods
`Class` `clazz()`
`int` `port()`
`IgnitePortProtocol` `protocol()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### port

    public int port()

Returns:
  Port.

#### protocol

    public IgnitePortProtocol protocol()

Returns:
  Protocol.

#### clazz

    public Class clazz()

Returns:
  Class.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.5.0-b1
Release Date | : December 1 2015